package org.usfirst.frc.team3501.robot.commands.auton;

import org.usfirst.frc.team3501.robot.Constants;
import org.usfirst.frc.team3501.robot.commands.driving.DriveDistance;
import org.usfirst.frc.team3501.robot.commands.driving.DriveForTime;

import edu.wpi.first.wpilibj.command.CommandGroup;

/***
 * This command will drive the robot through the moat.
 *
 * The code drives the robot for a specific time at a specific speed up the ramp
 * to the defense then drive over the defense at a different speed and time.
 *
 * dependency on subsystem: drivetrain
 *
 * dependency on other commands: DriveForTime
 *
 * pre-condition: robot is flush against the ramp of the outerworks in front of
 * the moat
 *
 * post-condition: the robot has passed the moat and is in the next zone
 *
 * @author Meryem and Avi
 *
 */

public class PassMoat extends CommandGroup {

  public PassMoat() {
    if (Constants.Auton.IS_USING_TIME) {
      addSequential(new DriveForTime(Constants.Auton.PASS_MOAT_TIME,
          Constants.Auton.PASS_MOAT_SPEED));
    }
    else {
      addSequential(new DriveDistance(Constants.Auton.PASS_MOAT_DIST,
          Constants.DriveTrain.PASS_DEFENSE_TIMEOUT));
    }

  }
}
