package org.usfirst.frc.team3501.robot.commands.intakearm;

import org.usfirst.frc.team3501.robot.Robot;

import edu.wpi.first.wpilibj.command.Command;

/***
 * This command will expel a boulder from the robot, if it is even present to
 * begin with.
 *
 * pre-condition: Intake arm is at correct height and a boulder is present
 * inside the robot.
 *
 * post-condition: A boulder is expelled from inside the robot to the field
 * outside of the robot.
 *
 * @author Lauren and Niyati
 *
 */

public class ExpelBall extends Command {
  private final int TIMEOUT_AMOUNT = 5;

  public ExpelBall() {
    requires(Robot.intakeArm);
  }

  @Override
  protected void initialize() {
    this.setTimeout(TIMEOUT_AMOUNT);
    if (Robot.shooter.isBallInside())
      Robot.intakeArm.outputBall();
  }

  @Override
  protected void execute() {
  }

  @Override
  protected boolean isFinished() {
    return (this.isTimedOut() || !Robot.shooter.isBallInside());
  }

  @Override
  protected void end() {
    Robot.intakeArm.stopRollers();
  }

  @Override
  protected void interrupted() {

  }

}
