package org.usfirst.frc.team3501.robot.commands.scaler;

import org.usfirst.frc.team3501.robot.Robot;

import edu.wpi.first.wpilibj.command.Command;

/***
 * This command will run the winch motor continuously until the button
 * tirggering it is released.
 *
 * pre-condition: This command must be run by a button in OI with method
 * whileHeld(). The robot must be attached to the tower rung.
 *
 * post-condition: winch motor set to a specified speed.
 *
 * @author Lauren
 *
 */

public class RunWinchContinuous extends Command {
  private double winchUpSpeed;
  private int timeoutAmount;

  public RunWinchContinuous(double speed, int timeout) {
    requires(Robot.scaler);
    winchUpSpeed = speed;
    timeoutAmount = timeout;
  }

  @Override
  protected void initialize() {
    this.setTimeout(timeoutAmount);
    Robot.scaler.runWinch(winchUpSpeed);
  }

  @Override
  protected void execute() {
  }

  @Override
  protected boolean isFinished() {
    return this.isTimedOut();
  }

  @Override
  protected void end() {
  }

  @Override
  protected void interrupted() {
    end();
  }
}
